Assignee:
Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 22100

Description

For files that are supported by both native QGIS and the GDAL/OGR providers, like CSV, it is usually preferable to use the native one

over the GDAL one.

See also #14078

Related issues:

Related to QGIS Application - Bug report # 14078: Incorrect loading of csv files Closed 2016-01-08

History

#1 - 2016-01-13 12:26 AM - Jürgen Fischer

So what are you suggesting?

#2 - 2016-01-13 12:28 AM - Paolo Cavallini

To use QGIS provider for CSV instead of GDAL, when loading layers from the browser.

#3 - 2016-01-13 12:32 AM - Jürgen Fischer

- Category changed from Data Provider to Browser

#4 - 2016-01-13 01:24 AM - Even Rouault

Repeating my comment in #14078: I'd note that the OGR CSV driver has gained editing capabilities in GDAL 2.1dev (specificaly to be used through

QGIS), whereas AFAICS the QGIS CSV provider is read-only. It would be a shame that using the OGR CSV driver is no longer accessible. In my

(admitedly biased) opinion, dealing with formats should be GDAL job ;-)

#5 - 2016-01-13 01:26 AM - Paolo Cavallini

Sounds right to me: why having a QGIS provider then?

#6 - 2016-01-13 01:19 PM - Nathaniel V. Kelso

+1 for keeping GDAL/OGR CSV provider. The edit ability in 2.1dev is really useful!

#7 - 2016-01-13 01:40 PM - Nyall Dawson

Sounds right to me: why having a QGIS provider then?
There's lots of features in the QGIS provider not available in the OGR one. Eg custom delimeters and caching. If all these extra features were available in

the OGR provider then I'd be in favor of removing the QGIS one.

#8 - 2016-01-13 03:50 PM - Sebastian Dietrich

I think one problem is that many users don't even know there are two different ways of handling a CSV file, nor do they know when they are used:

    -  QGIS provider, via

        -  "Create layer from delimited text file" 

    -  OGR provider, via 

        -  "Add vector layer" 

        -  command line argument

        -  drag and drop

I was one of those users until I investigated #14078.

#9 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#10 - 2018-03-06 06:19 PM - Paolo Cavallini

- Description updated

- Status changed from Open to Feedback

Still a unified approach seems useful to me for QGIS 3.x.

Feel free to close this if appropriate.

#11 - 2018-03-06 06:23 PM - Giovanni Manghi

- Status changed from Feedback to Open
